ru.bitel.bgbilling.kernel.event.events

## Class ContractCommentPatternEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.kernel.event.events.ContractCommentPatternEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ContractCommentPatternEvent
      extends LocalEvent

  Событие вызывается при генерации комментария договора по шаблону Событие отрабатывает до встроенного обработчика, т.е. событие получает строку шаблона, может внести в нее изменения и передать на последующую обработку штатному обработчику
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContractCommentPatternEvent()`
    `` | `ContractCommentPatternEvent(int contractId, java.lang.String commentPattern)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCommentPattern()`
    `void` | `setCommentPattern(java.lang.String commentPattern)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractCommentPatternEvent

          protected ContractCommentPatternEvent()

    - #### ContractCommentPatternEvent

          public ContractCommentPatternEvent(int contractId,
                                             java.lang.String commentPattern)

  - ### Method Detail

    - #### getCommentPattern

          public java.lang.String getCommentPattern()

    - #### setCommentPattern

          public void setCommentPattern(java.lang.String commentPattern)